org.eclipse.microprofile.rest.client.tck.providers

## Class TestReaderInterceptor

- java.lang.Object
- - org.eclipse.microprofile.rest.client.tck.providers.TestReaderInterceptor

All Implemented Interfaces:
  javax.ws.rs.ext.ReaderInterceptor

    public class TestReaderInterceptor
    extends Object
    implements javax.ws.rs.ext.ReaderInterceptor

### Constructor Summary

Constructors
Constructor and Description
`TestReaderInterceptor()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`Object` `aroundReadFrom(javax.ws.rs.ext.ReaderInterceptorContext readerInterceptorContext)`
`static int` `getAndResetValue()`
`static int` `getValue()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TestReaderInterceptor

    public TestReaderInterceptor()

### Method Detail

#### aroundReadFrom

    public Object aroundReadFrom(javax.ws.rs.ext.ReaderInterceptorContext readerInterceptorContext)
                          throws IOException,
                                 javax.ws.rs.WebApplicationException

Specified by:
  `aroundReadFrom` in interface `javax.ws.rs.ext.ReaderInterceptor`
Throws:
  `IOException`
  `javax.ws.rs.WebApplicationException`

#### getValue

    public static int getValue()

#### getAndResetValue

    public static int getAndResetValue()